TAU_CONVERT(1)

NAME
tau_convert - convert TAU tracefiles into various alternative trace formats

SYNOPSIS

tau_convert [[-alog] [-SSDF] [-dump] [-paraver [-t]] [-pv] [-vampir [ -longsymbolbugfix ] [ -compact ] [[ -user ] [ -class ] [ -all ]] [ -nocomm ]]] [outputtrc] {inputtrc} {edffile}

DESCRIPTION

tau_convert is generated when TAU is configured with the -TRACE option.

This program requires specification of a TAU tracefile and eventfile. It will convert the given TAU traces to the ASCII-based trace format specified in the first argument. The conversion type specification may be followed by additional options specific to the conversion type. It defaults to the single threaded vampir format if no other format is specified. tau_convert also accepts specification of an output file as the last argument. If none is given it prints the converted data to the standard out.

OPTIONS

-alog convert TAU tracefile into the alog format (This format is deprecated. The SLOG2 format is recommended.)

-SDDF convert TAU tracefile into the SDDF format

-dump convert TAU tracefile into multi-column human readable text

-paraver convert TAU tracefile into paraver format

-t indicate conversion of multi threaded TAU trace into paraver format

-pv convert single threaded TAU tracefile into vampir format (all -vampir options apply) (default)

-vampir convert multi threaded TAU tracefile into vampir format

-longsymbolbugfix make the first characters of long, similar identifier strings unique to avoid a bug in vampir

-compact abbreviate individual event entries

-all compact all entries (default)

-user compact user entries only

-class compact class entries only

-nocomm disregard communication events

[outputtrc] specify the name of the output tracefile to be produced

EXAMPLES

To print the contents of a TAU tracefile to the screen:

tau_convert -dump app.trc tau.edf

To convert a merged, threaded TAU tracefile to paraver format:

tau_convert -paraver -t app.trc tau.edf app.pv

SEE ALSO

tau_merge(1), tau2vtf(1), tau2profile(1), tau2slog2(1)